Page 1 of 4 123 ... LastLast
Results 1 to 10 of 31

Thread: okular pdf backend gone

  1. #1
    Join Date
    Jun 2008
    Location
    Germany
    Posts
    153

    Default okular pdf backend gone

    As the title says, the pdf backend in okular (version 0.17.92, KDE 4.11.2) disappeared, I can not say exactly when it happened, but I am pretty sure it worked before an update of several kde packages last evening.

    XPDF works without any issue.

  2. #2
    Join Date
    Jun 2008
    Location
    Florida, USA
    Posts
    970

    Default Re: okular pdf backend gone

    As the title says, the pdf backend in okular (version 0.17.92, KDE 4.11.2) disappeared, I can not say exactly when it happened, but I am pretty sure it worked before an update of several kde packages last evening.
    I am running 12.3/KDE 4.11.2 as well, and I think I am up to date.

    Where did you get Okular 0.17.92?
    Factory?
    That might be your problem.

    Okular 0.17.2 on my systems opens PDFs and can output to .pdf; what is it yours won't do for you?
    Desk: i7-4790K Leap 15.1(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0
    Lap: HPDV7T i7 Leap 15.0(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0

  3. #3
    Join Date
    Jun 2008
    Location
    Germany
    Posts
    153

    Default Re: okular pdf backend gone

    I apologize, I have also version 0.17.2, the previous was just a typo.
    I don't have any factory repos and I got it from:
    Index of /repositories/KDE:/Release:/411/openSUSE_12.3

  4. #4
    Join Date
    Jun 2008
    Location
    Florida, USA
    Posts
    970

    Default Re: okular pdf backend gone

    OK, you seem to be in same install state as I am.

    Not sure what you mean by pdf backend.

    When I click on a file.pdf in Dolphin, file.pdf opens in okular for me.

    Are you saying it opens in some other application, or that okular starts but fails to display the file, or....?
    Desk: i7-4790K Leap 15.1(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0
    Lap: HPDV7T i7 Leap 15.0(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0

  5. #5
    Join Date
    Jun 2008
    Location
    Florida, USA
    Posts
    970

    Default Re: okular pdf backend gone

    I just noticed you are running Kernel 3.11.

    You running Tumbleweed?
    Desk: i7-4790K Leap 15.1(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0
    Lap: HPDV7T i7 Leap 15.0(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0

  6. #6
    Join Date
    Jun 2008
    Location
    Germany
    Posts
    153

    Default Re: okular pdf backend gone

    No, I don't use tumbleweed.

    The backend is missing, therefore I can't open pdf documents with Okular. You can see what backends are installed under:
    configure backends in Okular.

    Strangely enough okularGenerator_poppler.so is available in /usr/lib64/kde4/

  7. #7

    Default AW: Re: okular pdf backend gone

    Quote Originally Posted by swannema View Post
    The backend is missing, therefore I can't open pdf documents with Okular. You can see what backends are installed under:
    configure backends in Okular.
    Try to run "kbuildsycoca4 --noincremental", is the backend there then?

    If that doesn't help, please run okular in a Konsole and post the output.
    Code:
    okular test.pdf
    (replace test.pdf with the filename of an existing pdf file of course)

    And it may sound silly, but have you rebooted since installing those updates?

  8. #8
    Join Date
    Jun 2008
    Location
    Germany
    Posts
    153

    Default Re: okular pdf backend gone

    'kbuildsycoca4 --noincremental' didn't help.

    Code:
    stefan@linux-sw:/lindata> okular ggrill.pdf
    Fontconfig warning: "/etc/fonts/infinality/conf.d/41-repl-os-linux.conf", line 16: Having multiple values in <test> isn't supported and may not work as expected
    Fontconfig warning: "/etc/fonts/infinality/conf.d/41-repl-os-linux.conf", line 29: Having multiple values in <test> isn't supported and may not work as expected
    Fontconfig warning: "/etc/fonts/infinality/conf.d/41-repl-os-linux.conf", line 39: Having multiple values in <test> isn't supported and may not work as expected
    Fontconfig warning: "/etc/fonts/infinality/conf.d/41-repl-os-linux.conf", line 48: Having multiple values in <test> isn't supported and may not work as expected
    Fontconfig warning: "/etc/fonts/infinality/conf.d/41-repl-os-linux.conf", line 60: Having multiple values in <test> isn't supported and may not work as expected
    Fontconfig warning: "/etc/fonts/infinality/conf.d/41-repl-os-linux.conf", line 71: Having multiple values in <test> isn't supported and may not work as expected
    Fontconfig warning: "/etc/fonts/infinality/conf.d/41-repl-os-linux.conf", line 82: Having multiple values in <test> isn't supported and may not work as expected
    Fontconfig warning: "/etc/fonts/infinality/conf.d/41-repl-os-linux.conf", line 92: Having multiple values in <test> isn't supported and may not work as expected
    Fontconfig warning: "/etc/fonts/infinality/conf.d/60-group-non-tt-fonts.conf", line 483: Having multiple values in <test> isn't supported and may not work as expected
    Fontconfig warning: "/etc/fonts/infinality/conf.d/60-group-tt-fonts.conf", line 262: Having multiple values in <test> isn't supported and may not work as expected
    Fontconfig warning: "/etc/fonts/infinality/conf.d/62-tt-monospace-rendering.conf", line 27: Having multiple values in <test> isn't supported and may not work as expected
    Fontconfig warning: "/etc/fonts/infinality/conf.d/62-tt-traced-bitmap-rendering.conf", line 21: Having multiple values in <test> isn't supported and may not work as expected
    Fontconfig warning: "/etc/fonts/infinality/conf.d/62-tt-traced-bitmap-rendering.conf", line 50: Having multiple values in <test> isn't supported and may not work as expected
    Fontconfig warning: "/etc/fonts/infinality/conf.d/80-selective-rendering-inf-win-lin.conf", line 16: Having multiple values in <test> isn't supported and may not work as expected
    Fontconfig warning: "/etc/fonts/infinality/conf.d/80-selective-rendering-inf-win-lin.conf", line 31: Having multiple values in <test> isn't supported and may not work as expected
    Fontconfig warning: "/etc/fonts/infinality/conf.d/80-selective-rendering-inf-win-lin.conf", line 102: Having multiple values in <test> isn't supported and may not work as expected
    Fontconfig warning: "/etc/fonts/infinality/conf.d/80-selective-rendering-inf-win-lin.conf", line 119: Having multiple values in <test> isn't supported and may not work as expected
    Fontconfig warning: "/etc/fonts/infinality/conf.d/80-selective-rendering-inf-win-lin.conf", line 138: Having multiple values in <test> isn't supported and may not work as expected
    Fontconfig warning: "/etc/fonts/infinality/conf.d/80-selective-rendering-inf-win-lin.conf", line 158: Having multiple values in <test> isn't supported and may not work as expected
    Fontconfig warning: "/etc/fonts/conf.d/56-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.
    okular(4502)/okular (app) Okular:document:openDocument: No plugin for mimetype '"application/pdf"'.
    I guess the big problem is in the last line.

    Maybe this information helps as well:
    Code:
    stefan@linux-sw:~> zypper se -si poppler
    Daten des Repositories laden ...
    Installierte Pakete lesen ...
    
    S | Name             | Typ   | Version       | Arch   | Repository       
    --+------------------+-------+---------------+--------+------------------
    i | libpoppler-glib8 | Paket | 0.22.1-1.1.1  | x86_64 | openSUSE-12.3-OSS
    i | libpoppler-qt4-4 | Paket | 0.22.1-1.1.1  | x86_64 | openSUSE-12.3-OSS
    i | libpoppler34     | Paket | 0.22.1-1.1.1  | x86_64 | openSUSE-12.3-OSS
    i | poppler-data     | Paket | 0.4.6-2.1.1   | noarch | openSUSE-12.3-OSS
    i | poppler-tools    | Paket | 0.22.1-1.1.1  | x86_64 | openSUSE-12.3-OSS
    i | python-poppler   | Paket | 0.12.1-14.1.1 | x86_64 | openSUSE-12.3-OSS
    stefan@linux-sw:~>
    Nothing is silly, yes I have rebooted since the update more than once.

  9. #9
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: okular pdf backend gone

    Try removing infinality fonts
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  10. #10
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: okular pdf backend gone

    On 2013-10-20 21:36, caf4926 wrote:
    >
    > Try removing infinality fonts


    Didn't you post an announcement about KDE repos been renewed? Could not
    that be affecting the OP? Maybe they have not finished with the renewal.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 12.3 x86_64 "Dartmouth" at Telcontar)

Page 1 of 4 123 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •